SyncMLClient Class Reference

Implementation for SyncML client plugin. More...

`#include <SyncMLClient.h>`

Inheritance diagram for SyncMLClient:

## Public Slots

virtual void | connectivityStateChanged (Sync::ConnectivityType aType, bool aState)

## Public Member Functions

| SyncMLClient (const QString &aPluginName, const Buteo::SyncProfile &aProfile, Buteo::PluginCbInterface *aCbInterface)
| Constructor.
virtual | ~SyncMLClient ()
| Destructor.
virtual bool | init ()
virtual bool | uninit ()
virtual bool | startSync ()
virtual void | abortSync (Sync::SyncStatus aStatus=Sync::SYNC_ABORTED)
virtual Buteo::SyncResults | getSyncResults () const
virtual bool | cleanUp ()

## Protected Slots

void | syncStateChanged (DataSync::SyncState aState)
| state change slot for DataSync::SyncAgent::stateChanged signal
void | syncFinished (DataSync::SyncState aState)
| sync Finished slot for DataSync::SyncAgent::syncFinished signal
void | storageAccquired (QString aMimeType)
| slot for DataSync::SyncAgent::storageAcquired signal
void | receiveItemProcessed (DataSync::ModificationType aModificationType, DataSync::ModifiedDatabase aModifiedDatabase, QString aLocalDatabase, QString aMimeType, int aCommittedItems)
| slot for DataSync::SyncAgent::itemProcessed signal
void | credentialsResponse (const SignOn::SessionData &data)
| Slot for response on call for retrieving credentials.
void | credentialsError (const SignOn::Error &error)
| Error slot for response on call for retrieving credentials.

## Detailed Description

Implementation for SyncML client plugin.

## Constructor & Destructor Documentation

## SyncMLClient()

SyncMLClient::SyncMLClient | ( | const QString & | aPluginName,
|  | const Buteo::SyncProfile & | aProfile,
|  | Buteo::PluginCbInterface * | aCbInterface )

Constructor.

Parameters

  aPluginName | Name of this client plugin
  aProfile | Sync profile
  aCbInterface | Pointer to the callback interface

## ~SyncMLClient()

virtual SyncMLClient::~SyncMLClient | ( |  | ) |

virtual

Destructor.

Call uninit before destroying the object.

## Member Function Documentation

## abortSync()

virtual void SyncMLClient::abortSync | ( | Sync::SyncStatus | aStatus = Sync::SYNC_ABORTED | ) |

virtual

See also
  SyncPluginBase::abortSync

## cleanUp()

virtual bool SyncMLClient::cleanUp | ( |  | ) |

virtual

See also
  SyncPluginBase::cleanUp

## connectivityStateChanged

virtual void SyncMLClient::connectivityStateChanged | ( | Sync::ConnectivityType | aType,
|  | bool | aState )

virtual slot

See also
  SyncPluginBase::connectivityStateChanged

## getSyncResults()

virtual Buteo::SyncResults SyncMLClient::getSyncResults | ( |  | ) | const

virtual

See also
  SyncPluginBase::getSyncResults

## init()

virtual bool SyncMLClient::init | ( |  | ) |

virtual

See also
  SyncPluginBase::init

## receiveItemProcessed

void SyncMLClient::receiveItemProcessed | ( | DataSync::ModificationType | aModificationType,
|  | DataSync::ModifiedDatabase | aModifiedDatabase,
|  | QString | aLocalDatabase,
|  | QString | aMimeType,
|  | int | aCommittedItems )

protected slot

slot for DataSync::SyncAgent::itemProcessed signal

Parameters

  aModificationType | - modification type
  aModifiedDatabase | - modified database .
  aLocalDatabase | - local database
  aMimeType | - mime type of the database
  aCommittedItems | - No. of items committed for this operation

## startSync()

virtual bool SyncMLClient::startSync | ( |  | ) |

virtual

See also
  ClientPlugin::startSync

## storageAccquired

void SyncMLClient::storageAccquired | ( | QString | aMimeType | ) |

protected slot

slot for DataSync::SyncAgent::storageAcquired signal

Parameters

  aMimeType | - mimetype of the storage acquired.

## syncFinished

void SyncMLClient::syncFinished | ( | DataSync::SyncState | aState | ) |

protected slot

sync Finished slot for DataSync::SyncAgent::syncFinished signal

Parameters

  aState | - final state

## syncStateChanged

void SyncMLClient::syncStateChanged | ( | DataSync::SyncState | aState | ) |

protected slot

state change slot for DataSync::SyncAgent::stateChanged signal

Parameters

  aState | - new state

## uninit()

virtual bool SyncMLClient::uninit | ( |  | ) |

virtual

See also
  SyncPluginBase::uninit

The documentation for this class was generated from the following file:

- SyncMLClient.h